org.richfaces.component

## Enum UIDragSource.Properties

- java.lang.Object
- - java.lang.Enum<UIDragSource.Properties>
  - - org.richfaces.component.UIDragSource.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIDragSource.Properties>
  Enclosing class:
    UIDragSource

      protected static enum UIDragSource.Properties
      extends Enum<UIDragSource.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `dragIndicator`
    `dragValue`
    `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIDragSource.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIDragSource.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### dragIndicator

          public static final UIDragSource.Properties dragIndicator

    - #### dragValue

          public static final UIDragSource.Properties dragValue

    - #### type

          public static final UIDragSource.Properties type

  - ### Method Detail

    - #### values

          public static UIDragSource.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIDragSource.Properties c : UIDragSource.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIDragSource.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.